# Synthe

Lab instructions: [https://mee-labs.gitlab-pages.imt-atlantique.fr/vhdl/synthe/](https://mee-labs.gitlab-pages.imt-atlantique.fr/vhdl/synthe/)

## Description
Project to build a digital synthesizer in VHDL.
4 types of waveform can be played: sine, square, triangle, saw-tooth.

## Play with USB keyboard
Keys A Z E R T are used to play 5 tones:
- A = Sol : 392 Hz
- Z = Si-b : 466 Hz
- E = Do : 523 Hz
- R = Mi : 659 Hz
- T = Fa : 698 Hz

You can play the famous part of "Funky town" by Lipps Inc.

Do Do Si-b Do Sol Sol Do Fa Mi Do
E  E   Z   E   A   A   E T  R  E

The switches are use to configure the waveform:
- sw1 sw0 : selects the fundamental waveform
- sw
