library ieee;
use ieee.std_logic_1164.all;

entity module_F is
    port (
        I_sel                          : in  std_logic_vector(1 downto 0);
        I_din0, I_din1, I_din2, I_din3 : in  std_logic_vector;
        O_dout                         : out std_logic_vector
        );
end module_F;

architecture behavioral of module_F is

begin

    process(I_sel, I_din0, I_din1, I_din2, I_din3)
    begin
        case I_sel is
            when "00" =>
                O_dout <= I_din0;
            when "01" =>
                O_dout <= I_din1;
            when "10" =>
                O_dout <= I_din2;
            when others =>
                O_dout <= I_din3;
        end case;
    end process;

end behavioral;
