library ieee;
use ieee.std_logic_1164.all;

entity module_H is
    port (
        I_sel          : in  std_logic;
        I_din0, I_din1 : in  std_logic_vector;
        O_dout         : out std_logic_vector
        );
end module_H;

architecture behavioral of module_H is

begin

    process(I_sel, I_din0, I_din1)
    begin
        if I_sel = '0' then
            O_dout <= I_din0;
        else
            O_dout <= I_din1;
        end if;
    end process;

end behavioral;
